Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.campaign
Class ShoppingCartAttributeLoader

    java.lang.Object
      com.bea.campaign.ShoppingCartAttributeLoader
          com.bea.commerce.ebusiness.campaign.ShoppingCartAttributeLoader

All Implemented Interfaces
  Request.AttributeLoader

Deprecated Moved to com.bea.campaign.ShoppingCartAttributeLoader.

    @Deprecated
    public class ShoppingCartAttributeLoader

extends ShoppingCartAttributeLoader

A p13n request attribute loader which will load the ShoppingCart into the p13n request.

This class is around to support backwards-compatiblity w/ WLP 7.0 application-config.xml <RequestLoader> configurations.

Field Summary

Fields inherited from class com.bea.campaign.ShoppingCartAttributeLoader
`DEF_SHOPPING_CART_GET_NAMES, DEF_SHOPPING_CART_SET_NAME, SHOPPING_CART`

Constructor Summary
`ShoppingCartAttributeLoader()` Deprecated

Method Summary

Methods inherited from class com.bea.campaign.ShoppingCartAttributeLoader
`getPipelineSession, getShoppingCart, getShoppingCart, getShoppingCartGetNames, getShoppingCartNamespace, getShoppingCartSetName, loadAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShoppingCartAttributeLoader

    public ShoppingCartAttributeLoader()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.